Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

How to install Texmaker in Fedora 29?

I want to install Texmaker on my Fedora 29 machine, but I had already previously installed the Texlive 2018 manually. And if I try to do dnf install texmaker it tries to install a different version of Texlive also, but since I already have my own installation of Texlive I do not want to install it again. I tried to download the .rpm package from the official website of Texmaker, but I believe it is intended for the Fedora 28, cause when I tried to install the downloaded package, I'm greeted with an error that the following dependency is not found:

libQt5Core.so.5(Qt_5.10.1_PRIVATE_API)(64bit) is needed by texmaker-5.0.3-6.1.x86_64

Though, I don't know whether there is a way to install this in Fedora 29. Any ideas?

How to install Texmaker in Fedora 29?

I want to install Texmaker on my Fedora 29 machine, but I had already previously installed the Texlive 2018 manually. And if I try to do dnf install texmaker it tries to install a different version of Texlive also, also as a dependency, but since I already have my own installation of Texlive I do not want to install it again. I tried to download the .rpm package from the official website of Texmaker, but I believe it is intended for the Fedora 28, cause when I tried to install the downloaded package, I'm greeted with an error that the following dependency is not found:

libQt5Core.so.5(Qt_5.10.1_PRIVATE_API)(64bit) is needed by texmaker-5.0.3-6.1.x86_64

Though, I don't know whether there is a way to install this in Fedora 29. Any ideas?